Up until recently I was able to use the WYSIWYG posting buttons when browsing with Mozilla Firefox (version 1.0) - now I can't. Did you make any upgrades to vBulletin Rob? I hate using IE.